// Diese Routine scannt die verfügbaren Netze und prüft ob das übergebene Netzwerk vorhanden ist.
// wenn dieses vorhanden ist, wird versucht eine Verbindung aufzubauen.
bool scan_connect(String ssid)
{
    // Serial.println("scan start");
    // WiFi.scanNetworks will return the number of networks found
    int n = WiFi.scanNetworks();
    // Serial.println("scan done");
    if (n == 0) {
      // Serial.println("no networks found");
    }
    else
    {
      // Serial.print(n);
      // Serial.println(" networks found");
      for (int i = 0; i < n; ++i)
      {
        // Prüfen ob das Netz mit dem gesuchten übereinstimmt
        if (WiFi.SSID(i) == ssid)
        {
          ESP.restart();
        }
      }
    }
    // Serial.println("");
    delay(200);
}
